%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname video

# Use epoch since previous release had incorrect version
Epoch:   1
Name:    drupal6-%{modname}
Version: 4.2
Release: 1%{?dist}
Summary: Allows creation of CCK video fields
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
Video module allows you to upload video in any format, play video in
any format, transcode video, automatically create video thumbnails,
use video thumbnails in video node teaser, fast and very reliable API
for converting videos and auto thumbnailing, can be used as an
all-in-one video solution for Drupal.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}
sed -i -e '/^#!\//, 1d' %{buildroot}%{drupaldir}/modules/%{modname}/video_scheduler.php

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Mon Aug  8 2011 Paul W. Frields <stickster@gmail.com> - 1:4.2-1
- Bump epoch to restore legal version number
- Add README

* Sun Mar 06 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 6.x.4.2.beta2-2
- Fixed package name.

* Sat Mar 05 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 6.x.4.2.beta2-1
- New package.
